<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.jvm" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="agent-lib,agent-path,env-classpath-ignored,environment-variables,heap-size,java-agent,java-home,jvm-options,launch-command,max-heap-size,max-permgen-size,module-options,permgen-size,stack-size,type"/>
        <elem name="addr-params" value="host,jvm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.jvm"/>
    </annotation>
    <refs>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="jvm" feature-id="true"/>
        <param name="module-options" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="stack-size" nillable="true" stability="default"/>
        <param name="env-classpath-ignored" nillable="true" stability="default"/>
        <param name="launch-command" nillable="true" stability="default"/>
        <param name="agent-path" nillable="true" stability="default"/>
        <param name="max-permgen-size" nillable="true" stability="default"/>
        <param name="type" nillable="true" stability="default"/>
        <param name="heap-size" nillable="true" stability="default"/>
        <param name="permgen-size" nillable="true" stability="default"/>
        <param name="java-home" nillable="true" stability="default"/>
        <param name="java-agent" nillable="true" stability="default"/>
        <param name="agent-lib" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="jvm-options" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="max-heap-size" nillable="true" stability="default"/>
        <param name="environment-variables" nillable="true" stability="default"/>
    </params>
</feature-spec>